Bug 1807692

Summary: fedora-repos-32-0.6 requires fedora-repos-rawhide
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: fedora-reposAssignee: Mohan Boddu <mboddu>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 32CC: brett.hassall, dennis, gmarr, kellin, kevin, klember, mboddu, pbrobinson, robatino, thrcka
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedFreezeException
Fixed In Version: fedora-repos-32-0.7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-06 20:49:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1705304    

Description Adam Williamson 2020-02-26 23:48:42 UTC
fedora-repos-32-0.6 requires fedora-repos-rawhide. I don't believe it should, now F32 is branched. See https://bugzilla.redhat.com/show_bug.cgi?id=1687921 for e.g. (same problem for F30).

Proposing as a Beta freeze exception, we should not be pulling the Rawhide repos into Branched. Might even be a blocker.

Comment 1 Kalev Lember 2020-02-27 06:42:03 UTC
+1 FE

Comment 2 Geoffrey Marr 2020-03-02 20:24:20 UTC
Discussed during the 2020-03-02 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-02/f32-blocker-review.2020-03-02-17.00.txt

Comment 3 Fedora Update System 2020-03-05 19:36:37 UTC
fedora-repos-32-0.7 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7364178eff

Comment 4 Fedora Update System 2020-03-06 20:49:32 UTC
fedora-repos-32-0.7 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Andre Robatino 2020-09-13 05:35:48 UTC
In F33, fedora-repos-modular (included in the fedora-repos source package) requires fedora-repos-rawhide. Is this a similar bug, and if so should I file a separate bug and mark it as a Beta Freeze exception?

Comment 6 Adam Williamson 2020-09-14 14:57:03 UTC
yeah, that does seem like a bug, please go ahead. thanks!